%m-file sensitivity
%program to estimate sensitivity to model parameters
%saved using
% Save all variables from the workspace to testa.mat:
%save C:\MATLAB\testa
close all

load C:\MATLAB\testa
load C:\MATLAB\testn
 
VMAXLU = 5.76e-6/60;
VMAXLUa = 1.5*VMAXLU;

%sensitivity to 
%S = ((MNAMTALa-MNAMTALn)./MNAMTALn)./((VMAXLUa-VMAXLU)./VMAXLU);
SAL = ((MNAMTALa-MNAMTALn)./MNAMTALn)./((VMAXLUa-VMAXLU)./VMAXLU);
SAR = ((MNAMTARa-MNAMTARn)./MNAMTARn)./((VMAXLUa-VMAXLU)./VMAXLU);
SLU = ((MNAMTLUa-MNAMTLUn)./MNAMTLUn)./((VMAXLUa-VMAXLU)./VMAXLU);
SV = ((MNAMTVa-MNAMTVn)./MNAMTVn)./((VMAXLUa-VMAXLU)./VMAXLU);
SLI = ((MNAMTLIa-MNAMTLIn)./MNAMTLIn)./((VMAXLUa-VMAXLU)./VMAXLU);
SK = ((MNAMTKa-MNAMTKn)./MNAMTKn)./((VMAXLUa-VMAXLU)./VMAXLU);
SF = ((MNAMTFa-MNAMTFn)./MNAMTFn)./((VMAXLUa-VMAXLU)./VMAXLU);
SO = ((MNAMTOa-MNAMTOn)./MNAMTOn)./((VMAXLUa-VMAXLU)./VMAXLU);
SS = ((MNAMTSa-MNAMTSn)./MNAMTSn)./((VMAXLUa-VMAXLU)./VMAXLU);

subplot(3,3,1)
plot(SAL, 'k-','LineWidth',1)
ylabel('Sensitivity','fontweight','d')
title ('Alveolar Space','fontweight','d')
subplot(3,3,2)
plot(SAR, 'k-','LineWidth',1)
title ('Arterial Blood','fontweight','d')
subplot(3,3,3)
plot(SLU, 'k-','LineWidth',1)
title ('Lung','fontweight','d')
subplot(3,3,4)
plot(SV, 'k-','LineWidth',1)
ylabel('Sensitivity','fontweight','d')
title ('Venous Blood','fontweight','d')
subplot(3,3,5)
plot(SLI, 'k-','LineWidth',1)
title ('Liver','fontweight','d')
subplot(3,3,6)
plot(SK, 'k-','LineWidth',1)
title ('Kidney','fontweight','d')
subplot(3,3,7)
plot(SF, 'k-','LineWidth',1)
xlabel('Minutes','fontweight','d')
ylabel('Sensitivity','fontweight','d')
title ('Fat','fontweight','d')
subplot(3,3,8)
plot(SO, 'k-','LineWidth',1)
xlabel('Minutes','fontweight','d')
title ('Other','fontweight','d')
subplot(3,3,9)
plot(SS, 'k-','LineWidth',1)
title ('Skin','fontweight','d')
xlabel('Minutes','fontweight','d')

