%m-file daphnia_mercury15
%program to fit nonlinear model to elimination models
%at 25 degrees C
%load U:\matlab11\work\Book\mercury2.txt;
%allday = mercury2(:,1);
%allconc = mercury2(:,2);
format long
allday = [0 1 3 8 11 13 15 ...
          0 1 3 8 11 13 15 ...
          0 1 3 8 11 13 15];

conc = [9699  4616  4170  2332  1567  1313  557  588
       11060  5281  5169  2868  1570   827  529  648
        9458  5624  5566  4199  2299  1014  531  436];
       
allconc = [9699  4616  4170  2332  1567  1313  557  588 ...
          11060  5281  5169  2868  1570   827  529  648 ...
           9458  5624  5566  4199  2299  1014  531  436];
allday = [0 1 2 3 7 9 11 14 ...
          0 1 2 3 7 9 11 14 ...
          0 1 2 3 7 9 11 14];
day = [0 1 2 3 7 9 11 14]';
meanconc = mean(conc)
stdconc = std(conc)

beta = [0.5;500;10000];
newx = 0:1:250;

[betahat,r,sigma] = nlinfit(allday,allconc,@daphnia_mercury,beta)
betaci = nlparci(betahat,r,'covar',sigma)
[yhat, delta] = nlpredci(@daphnia_mercury,allday,betahat,r,sigma)
%opd = [allday yhat delta]
ucl = yhat + delta;
lcl = yhat - delta;

plot(allday, allconc,'ko')
xlabel('Day')
ylabel('Concentration, ppb')

figure
errorbar(day,meanconc,stdconc,'k+')
hold on
plot(day, yhat(1:length(yhat)/3),'k-')
plot(day, ucl(1:length(yhat)/3), 'k--')
plot(day, lcl(1:length(yhat)/3), 'k--')
xlabel('Day')
ylabel('Hg Concentration, \mug/kg')