%m-file daphnia_mercury_uptake15
%program to fit nonlinear model to uptake model
%load U:\matlab11\work\Book\mercury2.txt;
%allday = mercury2(:,1);
%allconc = mercury2(:,2);
format long
    
%days 96,120 removed
conc = [0 664 1194 1266 1777 2497 2272 2351 2825 2955 3739 
        0 661 1174 1692 2026 1820 2309 2617 2926 3086 2879 
        0 632 1194 1070 1647 1967 2596 1935 2780 2609 3084];
    
allconc = [0 664 1194 1266 1777 2497 2272 2351 2825 2955 3739 ...
           0 661 1174 1692 2026 1820 2309 2617 2926 3086 2879 ...
           0 632 1194 1070 1647 1967 2596 1935 2780 2609 3084];
       
% days 96,120 removed
allday = [0 1.5 3 4.5 6 12 18 24 32 48 72 ...
          0 1.5 3 4.5 6 12 18 24 32 48 72 ...
          0 1.5 3 4.5 6 12 18 24 32 48 72];
      
day = [0 1.5 3 4.5 6 12 18 24 32 48 72];

plot(allday, allconc,'ko')
xlabel('Day')
ylabel('Concentration, ppb')

meanconc = mean(conc);
stdconc = std(conc);

%beta = [3000; .1144; 600];
beta = [3000; .1144];
yhat = []; %ci=[];
newx = 0:.5:100;

[betahat,r,sigma] = nlinfit(allday,allconc,@daphnia_mercury_uptake,beta)
betaci = nlparci(betahat,r,'covar',sigma)
[yhat, delta] = nlpredci(@daphnia_mercury_uptake,allday,betahat,r,sigma)
ucl = yhat + delta;
lcl = yhat - delta;

figure
errorbar(day,meanconc,stdconc,'k+')
hold on
plot(day, yhat(1:length(yhat)/3),'k-')
plot(day, ucl(1:length(yhat)/3), 'k--')
plot(day, lcl(1:length(yhat)/3), 'k--')
xlabel('Day')
ylabel('Hg Concentration, \mug/kg')
title('15 Degrees')