%Distance at 6 in. with average cooling
Distance = [0 785.7  1285.7 1714.3 2071.4 2500 3071.4 3750 4285.7 4571.4];
Flowrate39 = [3.9 3.33 2.967 2.656 2.397 2.086 1.672 1.180 0.7912 0.5839];
Flowrate18 = [1.8 1.537 1.370 1.226 1.106 0.9630 0.7717 0.5444 0.3651 0.2695];
Time = Distance./(Flowrate39*3600);         %discharge rate = 3.9 cfs with avg. cooling  
       
Time2 = Distance./(Flowrate18*3600);       %discharge rate = 1.8 cfs with avg. cooling
DeltaT = [19.7 19 17 15 13 11 9 7 5 3];
DeltaT = (DeltaT+42-32).*(5/9);
DeltaT = DeltaT-5.56;


%beta = [11; 0.1; 2];
beta = [11; 1.0; 1.0];
yhat = []; %ci=[];
newx = 0:1:10;

[betahat,r,sigma] = nlinfit(Time,DeltaT,@nlinregr,beta)
[yhat, delta] = nlpredci(@nlinregr,Time,betahat,r,sigma)

plot(Time,yhat,'k-')
hold on
plot(Time,DeltaT,'ko')