%m-file plotDeltaTvsTime
%program to plot observed and predicted thermal profiles

Flowrate39 = [3.9 3.33 2.967 2.656 2.397 2.086 1.672 1.180 0.7912 0.5839];
Flowrate18 = [1.8 1.537 1.370 1.226 1.106 0.9630 0.7717 0.5444 0.3651 0.2695];
t = 0:0.1:10;
%Distance at 6 in. with average cooling
Distance = [0 785.7 1285.7 1714.3 2071.4 2500 3071.4 3750 4285.7 4571.4];
Time = Distance./(Flowrate39*3600);       %discharge rate = 3.9 cfs with avg. cooling
Time2 = Distance./(Flowrate18*3600);       %discharge rate = 1.8 cfs with avg. cooling
%b0=11.4388, b1=1.1877, and b2=0.7346 for the 3.9 fps discharge velocity and
%b0=11.44, b1=0.673, and b2=0.734 for the 1.8 fps discharge velocity
DeltaThat39 = 11.4388*exp(-1.1877*t.^0.7346);
DeltaThat18 = 11.4387*exp(-0.6730*t.^0.7345);

%Distance at 6 in. with low cooling
Distance2 = [0 2071.4 2428.6 2785.7 3428.6 4071.4 4857.1 5785.7 6714.4 7071.4];
Time3 = Distance2./(Flowrate39*3600);     %discharge rate = 3.9 fps with low cooling
Time4 = Distance2./(Flowrate18*3600);     %discharge rate = 1.8 fps with low cooling
DeltaThat39low = 11.48*exp(-0.8380*t.^0.7862);
DeltaThat18low = 11.48*exp(-0.4563*t.^0.7861);

DeltaT = [19.7 19 17 15 13 11 9 7 5 3];
DeltaT = (DeltaT+42-32).*(5/9);
DeltaT = DeltaT-5.56;

plot(t,DeltaThat39,'k-')
xlabel('Time (hours)')
ylabel('\Delta\itT \rm(^{\o}C)')
hold on
plot(t,DeltaThat18,'k--')
plot(Time,DeltaT,'ko')
plot(Time2,DeltaT,'k^')
title('Average Surface Cooling')
legend('Discharge Velocity  3.9 fps','Discharge Velocity  1.8 fps')

figure
plot(t,DeltaThat39low,'k-')
xlabel('Time (hours)')
ylabel('\Delta\itT \rm(^{\o}C)')
hold on
plot(t,DeltaThat18low,'k--')
plot(Time3,DeltaT,'ko')
plot(Time4,DeltaT,'k^')
title('Low Surface Cooling')
legend('Discharge Velocity  3.9 fps','Discharge Velocity  1.8 fps')
