% m-file free_forced_response
% program to plot solution to exponential decay function
% and plot the free and forced responses

t=(0:.01:100);
p5=100.;
p4=20.0;
p2=0.05;
Qa = p5*exp(-p2*t);             %Free response
Qb = p4*(1-exp(-p2*t));         %Forced response
Q = (p5-p4)*exp(-p2*t)+p4;      %Total response

subplot(1,3,1)
plot(t,Qa,'k-','LineWidth',2)
xlabel('t','fontsize',10)
ylabel('Free Response, Qa','fontsize',10)
title('a','fontsize',12)
axis square
hold on
%grid on

subplot(1,3,2)
plot(t,Qb,'k','LineWidth',2)
xlabel('t','fontsize',10)
ylabel('Forced Response, Qb','fontsize',10)
title('b','fontsize',12)
axis square
hold on
%grid on
subplot(1,3,3)
plot(t,Q,'k','LineWidth',2)
xlabel('t','fontsize',10)
ylabel('Total Response, Q','fontsize',10)
title('c','fontsize',12)
axis square
hold on
%grid on