% m-file binomial
% program to generate binomial pmf and cdf distributions

n = 20;
p1 = 0.5;
x = 0:20; % Outcomes
y1 = binopdf(x,n,p1); % Probability density vector
subplot(1,2,1)
set(gca,'xlim',[1 length(y1)])
hold on
p2 = 0.25;
y2 = binopdf(x,n,p2);
yt = [y1; y2]';             %Red is 0.25, blue is 0.5
bart1 = bar(x,yt,0.7,'grouped');
xlabel('x','FontSize',14)
ylabel('p(x)','FontSize',14)
title('Binomial PMF','FontSize',12)
axis square
%figure
subplot(1,2,2)
%hold off
cdf1 = binocdf(x,n,p1);
set(gca,'xlim',[1 length(y1)])
hold on
cdf2 = binocdf(x,n,p2);
cdft = [cdf1; cdf2]';
bart2 = bar(x,cdft,0.7,'grouped');
xlabel('x','FontSize',14)
ylabel('F(x)','FontSize',14)
title('Binomial CDF','FontSize',12)
axis square