% m-file geometric
% program to generate geometric pmf and cdf distributions

n = 20;
p1 = 0.5;
x = 0:20; % Outcomes
y1 = geopdf(x,p1); % Probability density vector
subplot(1,2,1)
%bar1=bar(x,y1,0.3,'FaceColor',[.8 .8 1]); % Visualize the probability distribution
%set(get(gca,'Children'),'FaceColor',[.8 .8 1])
%set(get(gca,'Children'),'FaceColor',[1 0 0])
set(gca,'xlim',[1 length(y1)])
hold on
p2 = 0.25;
y2 = geopdf(x,p2);
%bar2=bar(x,y1,0.3,'FaceColor',[1 0 0]);
yt = [y1; y2]';
bart = bar(x,yt,0.7,'grouped');
xlabel('x','FontSize',14)
ylabel('p(x)','FontSize',14)
title('Geometric PMF','FontSize',12)
axis square
%figure
subplot(1,2,2)
%hold off
cdf1 = geocdf(x,p1);
%bar1=bar(x,cdf1,0.3,'FaceColor',[.8 .8 1]);
%set(get(gca,'Children'),'FaceColor',[.8 .8 1])
%set(get(gca,'Children'),'FaceColor',[1 0 0])
set(gca,'xlim',[1 length(y1)])
hold on
cdf2 = geocdf(x,p2);
%bar2=bar(x,cdf2,0.3,'FaceColor',[1 0 0]);
cdft = [cdf1; cdf2]';
bart = bar(x,cdft,0.7,'grouped');
xlabel('x','FontSize',14)
ylabel('F(x)','FontSize',14)
title('Geometric CDF','FontSize',12)
axis square