%m-file histogramoverlay2
%program to obtain the random samples from the inverse normal cdf
%generate 1000 random variates, plot a histogram, and overlay the pdfs

muxp2hat = 10.0;
sigmaxp2hat = 0.4664;
muxp3hat = 2.3355;
sigmaxp3hat = 1.01166;
xp2 = norminv(rand(1000,1),muxp2hat,sigmaxp2hat);
xp3 = norminv(rand(1000,1),muxp3hat,sigmaxp3hat);

numbins = 50;
subplot(1,2,1)
hist(xp2,numbins)
set(get(gca,'Children'),'FaceColor',[.8 .8 1])
hold on
[bincounts,binpositions] = hist(xp2,numbins);
binwidth = binpositions(2) - binpositions(1);
histarea = binwidth*sum(bincounts);
x = binpositions(1):0.001:binpositions(end);
y = normpdf(x,muxp2hat,sigmaxp2hat);
plot(x,histarea*y,'r','LineWidth',2)
xlabel('P2')
ylabel('Number of Parameter Estimates')
axis square

subplot(1,2,2)
hist(xp3,numbins)
set(get(gca,'Children'),'FaceColor',[.8 .8 1])
hold on
[bincounts,binpositions] = hist(xp3,numbins);
binwidth = binpositions(2) - binpositions(1);
histarea = binwidth*sum(bincounts);
x = binpositions(1):0.001:binpositions(end);
y = normpdf(x,muxp3hat,sigmaxp3hat);
plot(x,histarea*y,'r','LineWidth',2)
xlabel('P3')
ylabel('Number of Parameter Estimates')
axis square