% m-file lognormal
% program to generate lognormal pdf and cdf distributions

mu = 1.0;
%mu = 2.0;
%sigma = 1.0;
sigma = 0.5;
x = 0:0.001:6; % Outcomes
y = lognpdf(x,mu,sigma); % Probability density vector
subplot(1,2,1)
plot(x,y,'b-','Linewidth',2.0) % Visualize the probability distribution

hold on
xlabel('x','FontSize',14)
ylabel('f(x)','FontSize',14)
title('Lognormal PDF','FontSize',12)
axis square

subplot(1,2,2)
cdf = logncdf(x,mu,sigma);
plot(x,cdf,'b-','Linewidth',2.0)
hold on
xlabel('x','FontSize',14)
ylabel('F(x)','FontSize',14)
title('Lognormal CDF','FontSize',12)
axis square