% m-file negativebinomial
% program to generate negativebinomial pmf and cdf distributions

n = 3;
p1 = 0.5;
x = 0:20; % Outcomes
y1 = nbinpdf(x,n,p1); % Probability density vector
subplot(1,2,1)
set(gca,'xlim',[1 length(y1)])
hold on
p2 = 0.25;
y2 = nbinpdf(x,n,p2);
yt = [y1; y2]';         %blue is y1, red is y2
bart = bar(x,yt,0.7,'grouped');
xlabel('x','FontSize',14)
ylabel('p(x)','FontSize',14)
title('Negative Binomial PMF','FontSize',12)
axis square
subplot(1,2,2)
cdf1 = nbincdf(x,n,p1);
set(gca,'xlim',[1 length(y1)])
hold on
cdf2 = nbincdf(x,n,p2);
cdft = [cdf1; cdf2]';
bart = bar(x,cdft,0.7,'grouped');
xlabel('x','FontSize',14)
ylabel('F(x)','FontSize',14)
title('Negative Binomial CDF','FontSize',12)
axis square