% m-file poisson
% program to generate poisson pmf and cdf distributions

lambda1 = 5;
lambda2 = 2;
x = 0:10; % Outcomes
y1 = poisspdf(x,lambda1); % Probability density vector
subplot(1,2,1)
set(gca,'xlim',[1 length(y1)])
hold on
y2 = poisspdf(x,lambda2);
yt = [y1; y2]';
bart = bar(x,yt,0.7,'grouped');
xlabel('x','FontSize',14)
ylabel('p(x)','FontSize',14)
title('Poisson PMF','FontSize',12)
axis square
subplot(1,2,2)
cdf1 = poisscdf(x,lambda1);
set(gca,'xlim',[1 length(y1)])
hold on
cdf2 = poisscdf(x,lambda2);
cdft = [cdf1; cdf2]';
bart = bar(x,cdft,0.7,'grouped');
xlabel('x','FontSize',14)
ylabel('F(x)','FontSize',14)
title('Poisson CDF','FontSize',12)
axis square