%% m-file Repro
%  program generates distribution of the number of offspring from an empirical distribution;

females = 100;
offspring = [15 30 40 15];
cumoffspring = [15 45 85 100];
U = zeros(1,females);
egg = zeros(1,females);
for i=1:females
	U(i)=rand;
    if U(i) <= 0.15;
        egg(i)=0;
    elseif U(i)> 0.15 && U(i) <=0.45;
        egg(i)=1;
    elseif U(i)> 0.45 && U(i)<=0.85;
        egg(i)=2;
    else
        egg(i)=3;
    end;
end;
bins = [0 1 2 3];
hist(egg,bins)

%Calculate number of elements in each bin
n_elements = histc(egg,bins);

%Calculate the cumulative sum of these elements using cumsum
c_elements = cumsum(n_elements);

y = [n_elements;offspring]';
yy = [c_elements;cumoffspring]';
%figure(2),bar(bins,c_elements)
%figure(3),bar(bins,n_elements,'grouped')
%hold on
%bar(bins,offspring,'r','grouped')
%Plot the histogram
subplot(1,2,1)
%bar(bins,y,'k','grouped')
bar(bins,y,'grouped')
xlabel('Litter Size')
ylabel('Percentage')
legend('Observed','Predicted','Location','NorthWest')
grid on
%Plot the cumulative histogram
subplot(1,2,2)
%bar(bins,yy,'k','grouped')
bar(bins,yy,'grouped')
xlabel('Litter Size')
ylabel('Cumulative Percentage')
legend('Observed','Predicted','Location','NorthWest')
grid on
