% m-file triangle
% program to generate triangular pdf and cdf distributions

clear all;
b = 2;
a = 0;
c = 1;
x = a:0.001:b; % Outcomes

for i = 1:length(x)
    if ((x(i)<=c) && (x(i)>=a))
       y(i) = 2*(x(i)-a)./(b-a)*(c-a); % Probability density vector
       cdf(i) = (x(i)-a)^2./(b-a)*(c-a);
    elseif ((x(i)<=b) && (x(i)>=c))
       y(i) = 2*(b-x(i))./(b-a)*(b-c);
       cdf(i) = 1-((b-x(i)).^2./(b-a)*(b-c));
    else
        y(i) = 0;
        cdf(i) = 0;
    end
end

subplot(1,2,1)
plot(x,y,'b-','Linewidth',2.0) % Visualize the probability distribution

hold on
xlabel('x','FontSize',14)
ylabel('f(x)','FontSize',14)
title('Triangular PDF','FontSize',12)
axis square
%figure
subplot(1,2,2)
%hold off

plot(x,cdf,'b-','Linewidth',2.0)
hold on
xlabel('x','FontSize',14)
ylabel('F(x)','FontSize',14)
title('Triangular CDF','FontSize',12)
axis square