%m-file weibull
%program to plot the Weibull pdf and cdf

%b = 1.5;
b = 1.0;
%b = 6;
a = 1.5;
%a = 200;
x = 0:0.001:6; % Outcomes
%x = 0:500;
y = wblpdf(x,a,b); % Probability density vector
subplot(1,2,1)
plot(x,y,'b--','Linewidth',2.0) % Visualize the probability distribution

hold on
xlabel('x','FontSize',14)
ylabel('f(x)','FontSize',14)
title('Weibull PDF','FontSize',12)
axis square

subplot(1,2,2)
cdf = wblcdf(x,a,b);
plot(x,cdf,'b--','Linewidth',2.0)
hold on
xlabel('x','FontSize',14)
ylabel('F(x)','FontSize',14)
title('Weibull CDF','FontSize',12)
axis square