%m-file doseresponse
%program to plot the dose response from a normal distribution
%Figures 4.3, 4.4, 5.3

mu = 0.0;
sigma = 1.0;
x = -4:0.001:4; % Outcomes
y = normpdf(x,mu,sigma); % Probability density vector
subplot(1,2,1)
plot(x,y,'b-','Linewidth',2.0) % Visualize the probability distribution
hold on
xdata = -2.0:0.001:-0.75;
ydata = normpdf(xdata,mu,sigma);
area(xdata,ydata)

xlabel('Dose','FontSize',12)
ylabel('Probability of Response','FontSize',12)
axis square

%figure
subplot(1,2,2)
hold off
cdf = normcdf(x,mu,sigma);
plot(x,cdf,'b-','Linewidth',2.0)
hold on
cdfdata = normcdf(xdata,mu,sigma);
area(xdata,cdfdata);
xlabel('Dose','FontSize',12)
ylabel('Cumulative Probability of Response','FontSize',12)
axis square