% m-file eggmort
% program to plot observed and predicted striped bass egg mortality
% with parameters as functions of TRC, delta T, and EXP

hour = [0 1 2 4 8 12 16 20 24 36];
meanmort = [0.333 0.667 2.333 2.667 4.667 6.667 7.000 16.000 20.333 22.333];
meanmort = meanmort*2;
varmort = [0.333 0.333 0.333 0.333 1.333 0.333 1.00 13.000 4.333 4.333];
varmort = varmort*2;
t = 0:0.5:40;
TRC = 0.15;
deltaT = 6;
EXP = 2.0;
    
p1 = -6.7315+176.2481*TRC+2.4185*deltaT+8.7093*EXP;
p2 = 18.6656-0.5832*TRC+-0.2595*deltaT+0.2778*EXP;
p3 = 28.6576-22.2640*TRC-0.6680*deltaT-2.8049*EXP;

predmort = p1./(1+exp((2.2/p3)*(p2-t)));
stderror = sqrt(varmort./3);
ci = stderror*2.353;
errorbar(hour,meanmort,ci,'+')
hold on
plot(t,predmort)
xlabel('Hour')
ylabel('Percentage Cumulative Egg Mortality')
axis([0 40 0 50])