% function growtha for adjusted variables and parameters
% growth model from Weiss and Kavanau 1957
function Tadot = growtha(~,Ta)
k1=0.5077; k2=0.1154; k3=0.0089;
Go=0.02418;         %initial generative mass of the zygote
Ge=4096*Go;
b=0.8335;
n=0.5;
Gea=1.1*Ge;
ba=1.1*b;

%term1=1-(b*(Ta(1)^n-Go^n)./(Gea^n-Go^n));
term1=1-(ba*(Ta(1)^n-Go^n)./(Ge^n-Go^n));
Gadot=(Ta(1)*log(2))*term1-k1*Ta(1)*term1-k2*Ta(1);
Dadot=k1*Ta(1)*term1+k2*Ta(1)-k3*Ta(2);
Madot=(Ta(1)*log(2))*term1-k3*Ta(2);
Tadot=[Gadot; Dadot; Madot];

