% function growthn
% called by m-file growth2n
% growth model from Weiss and Kavanau 1957
function Tndot = growthn(~,Tn)
k1=0.5077; k2=0.1154; k3=0.0089;
Go=0.02418;         %initial generative mass of the zygote
Ge=4096*Go;
b=0.8335;
n=0.5;

%r=log(2)+0.15*randn;
term1=1-(b*(Tn(1)^n-Go^n)./(Ge^n-Go^n));
Gndot=(Tn(1)*log(2))*term1-k1*Tn(1)*term1-k2*Tn(1);
%Gdot=(T(1)*r)*term1-k1*T(1)*term1-k2*T(1);
Dndot=k1*Tn(1)*term1+k2*Tn(1)-k3*Tn(2);
Mndot=(Tn(1)*log(2))*term1-k3*Tn(2);
Tndot=[Gndot; Dndot; Mndot];

