% MODEL; Raccoon Spatial Model with PBPK.
% 
% Time step is in hours, looping for multiple days.
% Summary stats produced.
%

clear;
close all;
tic

i=0;
m = 10;                 % Grid size %
%N = 10;                  % Initial number of animals %
N = 5;
ct= 1;

local = zeros(m,m);     % Create animal grid %  
   
% Determine the random locations of initial animals.
   
while (ct <= N);
      kx=floor(rand*(m-4))+2; ky=floor(rand*(m-4))+2;        % Random location % 
      cnum=(local(kx,ky));                         		    % Determine number in cell %
      if cnum < 1 
         local(kx,ky)= cnum + 1;
         local(kx,ky,2+cnum)= ct;
         rac(ct).id = ct;                              % Create individual parameters %
   	     rac(ct).local = [kx,ky,2+cnum];
         ct=ct +1;
      end;
end;
    
initden=local(:,:,1);       
density=initden;        											% Density grid %

%init;                                   % Initial population.
%nody=30;
%nody=1;

%for day=1:nody;							% Start daily loop.  
   for hour=1:24;                      % Start hourly loop.
        if ((0<=hour && hour<=6) || (19<=hour && hour<=24));
%if hour==1
%    aviobj=avifile('M.avi','fps',1);
%end;
     for x=1:length(rac)
         loc=[rac(x).local];
         
         if loc(1)==1
            xshift=floor(rand(1)*2);
         elseif loc(1)==10
            xshift=floor(rand(1)*2-1);
         else
            xshift=floor(rand(1)*3-1);
         end;
                   
         if loc(2)==1
            yshift=floor(rand(1)*2);
         elseif loc(2)==10
            yshift=floor(rand(1)*2-1);
         else
         	yshift=floor(rand(1)*3-1);
         end;

         den=density(loc(1)+xshift, loc(2)+yshift);
         newloc=[loc(1)+xshift, loc(2)+yshift, den+1];
         %newloc=[loc(1)+xshift, loc(2)+yshift];
         
         rac(x).local=newloc;
         %local(loc(1), loc(2), loc(3))=0;
         local(loc(1), loc(2))=0;
     	 %local(newloc(1),newloc(2),newloc(3))=rac(x).id;
         local(newloc(1),newloc(2))=rac(x).id;
         density(newloc(1),newloc(2))=density(newloc(1),newloc(2))+1;
		 density(loc(1),loc(2))=density(loc(1),loc(2))-1;
     end;
      
      figure
      pcolor(density)
      axis square
      move=getframe;
      %aviobj=addframe(aviobj,move);
        end;
        
    end;					% End of hourly loop.
%end;							% End of daily loop.

toc
%save('racAP')
