% m-file selenastrum
% program to plot cell growth rate over atrazine concentration

A =[0.0005  0.025741
    0.015   0.029549
    0.031   0.037086
    0.061   0.023224
    0.120  -0.005111
    0.240  -0.015814
    0.450  -0.021162];

b0 = 0.0718;
b2 = .0002;
b3 = 35.32;
b4 = -0.0179;

conc=A(:,1);
grate=A(:,2);
conc=conc*1000;
plot(conc,grate,'o');
hold on;

grid;
x = 0.5:0.1:500.;
y = b4 + (b0+b4)*exp(-b2*((x-b3).^2));
ymax = 0.10;
ymin = -0.02;

plot(x,y);
grid on;
xlabel('Atrazine Mean Measured Concentration (\mug A.I./l)');
ylabel('Selenastrum capricornutum Cell Growth Rate (h^{-1})'); 