% m-file stagegrowth
% Markov chain model of life stage growth
% with and without toxicant exposure
clear all

N=5;
S1 = zeros(1,N+1);
S2 = zeros(1,N+1);
S3 = zeros(1,N+1);
%initial state values.  All individuals start in S1
S1(1)=100;S2(1)=0;S3(1)=0;      

for i=1:N
    % transition probabilities without toxicant exposure
    %p11=0.1;p12=1.-p11;p13=0.0; 
    %p21=0.0;p22=0.1;p23=1-p22;
    %p31=0.0;p32=0.0;p33=1.0;
    % transition probabilities with toxicant exposure
    p11=i./N;
    p12=1.-p11;p13=0.0;
    p21=0.0;
    p22=i./N;
    p23=1-p22;
    p31=0.0;p32=0.0;p33=1.0;
    % state equations
    S1(i+1)=p11*S1(i)+p21*S2(i)+p31*S3(i);
    S2(i+1)=p12*S1(i)+p22*S2(i)+p32*S3(i);
    S3(i+1)=p13*S1(i)+p23*S2(i)+p33*S3(i);
end
x=0:5;
plot(x,S1)
hold on
plot(x,S2,'r--')
plot(x,S3,'g-.')
grid on
xlabel('Time')
ylabel('Number of Individuals')
legend('Stage 1','Stage 2', 'Stage 3','location','North')
figure
pii=x./N;
plot(x,pii)
xlabel('Time')
ylabel('P11,P22')
grid