% m-file synergistic
% program to plot tadpole mortality as a function of copper and zinc in 3D

clear all
cu = [0.0 0.001 0.04 0.052 0.058 0.07 0.09 0.11 0.13 0.15 0.19 0.22];
zn = [0.0 3.0 6.24 6.48 8.00 8.32 8.72 9.07 9.12 9.38 10.00 10.56 12.00 13.44 14.00 16.00 18.00];

[morthat,txt] = xlsread('tadpole_surface3.xls','Sheet1','C3:N19');
%grid
surf(cu,zn,morthat)
shading interp
colormap(copper)
%colormap(gray)
box on
xlabel('Copper Concentration')
ylabel('Zinc Concentration')
zlabel('Proportional Mortality')