% m-file thyroid2 which calls function thyroid%
% Adapted from Saratchandran, et al. 1976.
% program to simulate effects of perchlorate on thyroid hormone system
%<------------------------------------------------------->
% TT3P = plasma total T3 concentration, Q(2)
% TT3F = fast compartment total T3 concentration
% TT3S = slow compartment total T3 concentration
% TT4P = plasma total T4 concentration, Q(3)
% TT4F = fast compartment total T4 concentration
% TT4S = slow compartment total T4 concentration
% TSH = concentration of TSH in plasma
% SRT3 = rate of secretion of T3
% SRT4 = rate of secration of T4
% VP = volume of plasma
% a1, a2, etc., = various rate constants of material transfer
% kL = loss rate of TSH in plasma
% k1, k2, and K = parameters representing the stimulatory effect
%		   of TSH on thyroid gland
% k3, k5 = parameters representing the inhibitory effect
%		   of plasma free T3 on secretion rate of TSH
% aHT = parameter representing the stimulatory effect of
%		 TRH on the rate of TSH secretion
%<------------------------------------------------------->

tic

Q0 = [5.375; 0.86; 82.58];
tspan = 1:1:30;
[t,Q] = ode45('thyroid',tspan,Q0);

subplot(3,1,1)      
plot(Q(:,1))
xlabel('Hours')
ylabel('THS Conc.')
subplot(3,1,2)
plot(Q(:,2))
xlabel('Hours')
ylabel('Plasma T3 Conc.')
subplot(3,1,3)
plot(Q(:,3))
xlabel('Hours')
ylabel('Plasma T4 Conc.')

toc