% m-file Verhulst2
% program to solve logistic d.e. of population growth in function Verhulst
% and plot with discrete Verhulst difference equation

N0=0.03;
Nc = zeros(1,51);
Nc(1)=0.1;
r=2.8;
K=10.;
tspan = [0 50];
[t,N] = ode45('Verhulst', tspan, N0);

plot(t,N,'r-','LineWidth',2)
xlabel('Time')
ylabel('Population Size')
hold on

xmax = 50;
x =1:1:xmax+1;

for t = 1:xmax
  
   Nc(t+1) = Nc(t).*(1+r*(1-Nc(t)./K));
end

plot(x,Nc,'b-','LineWidth',2)
