%function cesiumV
%Combination V of Patten and Witkamp (1967)
%Compartments are litter (x1), soil (x2), microflora (x3),
%millipedes (x4), and leachate (x5)

function xdot=cesiumV(~,x)
%rate constants
l01=0.0;
l12=0.0; l13=0.065; l14=0.020; l15=0.025;
l21=0.0; l23=0.0; l24=0.0; l25=0.0;
l31=0.0; l32=0.0; l34=0.375; l35=0.0;
l41=0.475; l42=0.0; l43=0.050; l45=0.0;

%d.e. for litter compartment, x1 
x1dot=l01+(-(l12+l13+l14+l15)*x(1))+l21*x(2)+l31*x(3)+l41*x(4);     
%d.e. for soil compartment, x2
x2dot=(l12*x(1))-(l21+l23+l24+l25)*x(2)+l32*x(3)+l42*x(4);          
%d.e. for microflora compartment, x3
x3dot=l13*x(1)+l23*x(2)-(l31+l32+l34+l35)*x(3)+l43*x(4);            
%d.e. for millipede compartment, x4
x4dot=l14*x(1)+l24*x(2)+l34*x(3)-(l41+l42+l43+l45)*x(4);            
%d.e. for leachate compartment, x5 
x5dot=l15*x(1)+l25*x(2)+l35*x(3)+l45*x(4);                          
%vector of differential equations
xdot=[x1dot;x2dot;x3dot;x4dot;x5dot];                               