% m-file projmatrix2
% expanded matrix model from Vonesh and De la Cruz (2000)
% with 5 stages: adult, eggs, larvae, metamorphs, juveniles
tic
clear all
N=30;
E(1)=10000;L(1)=3000;M(1)=100;J(1)=20;A(1)=2;
sigma_t(1)=0.0082;
linspace(1,N);
%Parameters for Bufo boreas
phi = 12000;        %Clutch size
sigma_e = 0.60;     %Egg survival
sigma_m = 0.2;      %Metamorph survival
sigma_j = 0.2;      %Juvenile survival
P = 0.25;           %Maturation probability
sigma_a = 0.6;      %Adult survival
d = 0.007;          %Density dependence coefficient
sigma_tmax = 0.8;   %Maximum larval survival
gamma = 1.0;        %Density dependence exponent
rho = 0.58;         %Adult sex ratio
Pmet = 0.90;
for i=1:N
    sigma_t(i)=sigma_tmax./(1+d*L(i)).^gamma;
    if i>15
        %rho = 0.74;
        %sigma_e=0.09;
        %P = 0.1250;
        Pmet = 0.50;
    end
    
    E(i+1)=rho*phi*A(i);
    L(i+1)=sigma_e*(1-Pmet)*E(i);
    M(i+1)=Pmet*sigma_t(i)*L(i);
    J(i+1)=sigma_m*(1-P)*M(i);
    A(i+1)=sigma_j*P*J(i);
end
set(gca,'FontSize',16)
x=0:N;
subplot(5,1,1)
plot(x,E,'o--','LineWidth',2)
%plot(x,L,'m')
title('Eggs')
%xlabel('Time')
ylabel('Density')
%legend('Eggs','Location','Best')
subplot(5,1,2)
plot(x,L,'o--','LineWidth',2)
title('Larvae')
%xlabel('Time')
ylabel('Density')
%legend('Larvae','Location','Best')
subplot(5,1,3)
%hold on
plot(x,M,'o--','LineWidth',2)
title('Metamorphs')
%xlabel('Time')
ylabel('Density')
%legend('Metamorphs','Location','Best')
subplot(5,1,4)
plot(x,J,'o--','LineWidth',2)
title('Larvae')
%xlabel('Time')
ylabel('Density')
%legend('Juveniles','Location','Best')
subplot(5,1,5)
plot(x,A,'o--','LineWidth',2)
title('Adults')
xlabel('Time')
ylabel('Density')
%legend('Adults','Location','Best')
toc