% m-file daphniachlor
% program to fit nonlinear model to mortality data
% (source: Naddy, et al. 2000)
load C:\MATLAB\chlorpyrifos_data.txt

day=chlorpyrifos_data(:,1);
mortppb12=chlorpyrifos_data(:,2);
plot(day,mortppb12, 'ko')
xlabel('Day')
ylabel('Cumulative Mortality');
                             
beta0 = [12; 3];         %Initial parameter estimates
newx = 0:.1:25;
%Generate parameter values, residuals, and Jacobian
[beta,r,J,sigma] = nlinfit(day,mortppb12,@mort,beta0)

%Confidence intervals on parameters
betaci = nlparci(beta,r,'covar',sigma)

%Confidence intervals on predicted values
%Delta is half widths of 95% CI

[yhat, delta] = nlpredci(@mort,newx,beta,r,'covar',sigma);
                           
ucl = yhat + delta';
lcl = yhat - delta';

figure
plot(day, mortppb12,'ko')
xlabel('Day')
ylabel('Cumulative Mortality');
hold on
plot(newx, yhat,'r-')
plot(newx, ucl, 'b-')
plot(newx, lcl, 'g-')
hold off