% m-file elimcomp
% program compares linear and nonlinear fits to exponential decay function
% Generates Figure 7.12
compconc = [9699  4616  4170  2332  1567  1313  557  588
           11060  5281  5169  2868  1570   827  529  648
            9458  5624  5566  4199  2299  1014  531  436];
allday = [0 1 2 3 7 9 11 14 ...
          0 1 2 3 7 9 11 14 ...
          0 1 2 3 7 9 11 14];
day = [0 1 2 3 7 9 11 14];
meanconc = mean(conc);
stdconc = std(conc);
hLine = errorbar(day,meanconc,stdconc,'k+');
set(get(get(hLine,'Annotation'),'LegendInformation'),...
    'IconDisplayStyle','off'); % Exclude line from legend
%plot(allday,conc,'ko')
xlabel('Day')
ylabel('Hg Concentration, \mug/kg')
hold on
newday = 0:0.05:15;
yhatlin = (6509.4-0)*exp(-.2067*newday);
plot(newday,yhatlin,'k')
yhatnlin = ((9638.4-864.3)*exp(-0.50*newday))+864.3;
plot(newday,yhatnlin,'k--')
legend('linear fit','nonlinear fit')
