%m-file polylinregr
%program to run linear regression on log transformed data
%using the Matlab function polyfit

conc = [9699  4616  4170  2332  1567  1313  557  588 ...
       11060  5281  5169  2868  1570   827  529  648 ...
        9458  5624  5566  4199  2299  1014  531  436];

allday = [0 1 2 3 7 9 11 14 ...
          0 1 2 3 7 9 11 14 ...
          0 1 2 3 7 9 11 14];

logconc = log(conc);
plot(allday,conc,'o')
xlabel('Day')
ylabel('Hg Concentration')

figure(2)
plot(allday,logconc,'o')
xlabel('Day')
ylabel('log(Hg) Concentration')

[p,S] = polyfit(allday, logconc, 1)
[f,delta] = polyval(p,allday,S)
table = [allday logconc f delta]

figure(3)
plot(allday,logconc,'o')
hold on
plot(allday,f)
xlabel('Day')
ylabel('Observed and Predicted Log(Hg Concentration)')


