%m-file regessLD50vswt
%program to run linear regression of LD50 against body weight
%with MATLAB function regress

X = [1 28
      1 52
      1 82
      1 90
      1 114
      1 173
      1 178
      1 335
      1 578
      1 700
      1 1082];
bodyweight = X(:,2);
LD50 = [0.83 0.69 6.15 1.40 0.97 11.82 5.70 5.49 35.08 21.24 79.00]';

[b,bint,r,rint,stats] = regress(LD50,X,0.05)

yhat = b(1)+b(2)*bodyweight;
plot(bodyweight,LD50,'o')
hold on
plot(bodyweight,yhat)
xlabel('Body Weight,g')
ylabel('Observed and Predicted LD50')

