%m-file regressstats
%program to run linear regression of LD50 against body weight
%using the Matlab function regstats

bodyweight = [28 52 82 90 114 173 178 335 578 700 1082];
LD50 = [0.83 0.69 6.15 1.40 0.97 11.82 5.70 5.49 35.08 21.24 79.00]';

stats = regstats(LD50, bodyweight, 'linear')
scatter(stats.yhat,stats.r)
hold on
a=(-20:1:80);
x = zeros(1,length(a));
plot(a,x,'--')
xlabel('Fitted Values'); ylabel('Residuals');

figure
plot(bodyweight,LD50,'o')
hold on
plot(bodyweight,stats.yhat)
xlabel('Bodyweight')
ylabel('Observed and Predicted LD50')