%m-file to generate central composite designs

%two-factor design
dCC = ccdesign(2,'type','circumscribed')
plot(dCC(:,1),dCC(:,2),'ro','MarkerFaceColor','b')
X = [1 -1 -1 -1; 1 1 1 -1];
Y = [-1 -1 1 -1; 1 -1 1 1];
line(X,Y,'Color','b')
axis square equal

%three-factor design
dCC2 = ccdesign(3,'type','circumscribed')
figure
plot3(dCC2(:,1),dCC2(:,2),dCC2(:,3),'ro','MarkerFaceColor','b',...
    'MarkerSize',8)
xlabel('X')
ylabel('Y')
zlabel('Z')
%define cube points
X2 = [1 -1 -1 -1; 1 1 1 -1];
Y2 = [-1 -1 1 -1; 1 -1 1 1];
Z2 = [-1 -1 -1 -1; -1 -1 -1 -1];
X3 = [1 -1 -1 -1; 1 1 1 -1];
Y3 = [-1 -1 1 -1; 1 -1 1 1];
Z3 = [1 1 1 1; 1 1 1 1];
X4 = [-1 -1];Y4 = [1 1];Z4 = [-1 1];
X5 = [-1 -1];Y5 = [-1 -1];Z5 = [-1 1];
X6 = [1 1];Y6 = [-1 -1];Z6 = [-1 1];
X7 = [1 1];Y7 = [1 1];Z7 = [-1 1];

%define axial points
X8 = [0 0];Y8 = [0 0];Z8 = [-1.6818 1.6818];
X9 = [0 0];Y9 = [-1.6818 1.6818];Z9 = [0 0];   
X10 = [-1.6818 1.6818];Y10 = [0 0];Z10 = [0 0];

%plot cube points
line(X2,Y2,Z2,'Color','b','LineWidth',2)
line(X3,Y3,Z3,'Color','b','LineWidth',2)
line(X4,Y4,Z4,'Color','b','LineWidth',2)
line(X5,Y5,Z5,'Color','b','LineWidth',2)
line(X6,Y6,Z6,'Color','b','LineWidth',2)
line(X7,Y7,Z7,'Color','b','LineWidth',2)

%plot axial points
line(X8,Y8,Z8,'Color','m','LineWidth',2)
line(X9,Y9,Z9,'Color','m','LineWidth',2)
line(X10,Y10,Z10,'Color','m','LineWidth',2)
grid off
box on
axis on
axis square equal