%m-file testcomposite
%program to generate central composite designs

%two-factor design
dCC = ccdesign(2,'type','circumscribed')
%dCC = ccdesign(2,'type','inscribed')
%dCC = ccdesign(2,'center',3,'type','faced') 
plot(dCC(:,1),dCC(:,2),'ko','MarkerFaceColor','k')
X = [1 -1 -1 -1; 1 1 1 -1];
Y = [-1 -1 1 -1; 1 -1 1 1];
line(X,Y,'Color','k')
axis square equal

%three-factor design
%dCC2 = ccdesign(3,'type','circumscribed')
%dCC2 = ccdesign(3,'type','inscribed')
dCC2 = ccdesign(3,'center',3,'type','faced')
figure
plot3(dCC2(:,1),dCC2(:,2),dCC2(:,3),'ko','MarkerFaceColor','k',...
    'MarkerSize',8)
xlabel('X')
ylabel('Y')
zlabel('Z')

X2 = [1 -1 -1 -1; 1 1 1 -1];
Y2 = [-1 -1 1 -1; 1 -1 1 1];
Z2 = [-1 -1 -1 -1; -1 -1 -1 -1];
X3 = [1 -1 -1 -1; 1 1 1 -1];
Y3 = [-1 -1 1 -1; 1 -1 1 1];
Z3 = [1 1 1 1; 1 1 1 1];
X4 = [-1 -1];Y4 = [1 1];Z4 = [-1 1];
X5 = [-1 -1];Y5 = [-1 -1];Z5 = [-1 1];
X6 = [1 1];Y6 = [-1 -1];Z6 = [-1 1];
X7 = [1 1];Y7 = [1 1];Z7 = [-1 1];
X8 = [0 0];Y8 = [0 0];Z8 = [-1.0 1.0];
X9 = [0 0];Y9 = [-1.0 1.0];Z9 = [0 0];
X10 = [-1.0 1.0];Y10 = [0 0];Z10 = [0 0];
line(X2,Y2,Z2,'Color','b','LineWidth',2)
line(X3,Y3,Z3,'Color','b','LineWidth',2)
line(X4,Y4,Z4,'Color','b','LineWidth',2)
line(X5,Y5,Z5,'Color','b','LineWidth',2)
line(X6,Y6,Z6,'Color','b','LineWidth',2)
line(X7,Y7,Z7,'Color','b','LineWidth',2)
line(X8,Y8,Z8,'Color','m','LineWidth',2)
line(X9,Y9,Z9,'Color','m','LineWidth',2)
line(X10,Y10,Z10,'Color','m','LineWidth',2)

grid on
box on
%axis off
axis square equal

deltaT = [-1 0 0 1 -1 -1 0 0 0 1 1 -1 0 0 1];
TRC = [-1 -1 -1 -1 0 0 0 0 0 0 0 1 1 1 1];
EXP = [0 -1 0 1 0 1 -1 0 1 -1 0 -1 0 1 0];
figure
plot3(deltaT,TRC,EXP,'ro','MarkerFaceColor','b',...
    'MarkerSize',8)
grid on
box on
%axis off
axis square equal