% function growth3
% called by m-file growthmeans
% growth model from Weiss and Kavanau 1957
function Tdot = growth3(~,T)
k1=0.5077;          %rate constant for conversion of G to D
k2=0.1154;          %rate constant for maintenance of D
k3=0.0089;          %rate constant for the catabolic loss of D
Go=0.02418;         %initial generative mass of the zygote
Ge=4096*Go;         %maximum adult generative mass
b=0.8335;   %ratio between feedback at equilibrium and complete inhibition
n=0.5;
r=log(2)+0.15*randn;
term1=1-(b*(T(1)^n-Go^n)./(Ge^n-Go^n));
Gdot=(T(1)*r)*term1-k1*T(1)*term1-k2*T(1);
Ddot=k1*T(1)*term1+k2*T(1)-k3*T(2);
Mdot=(T(1)*r)*term1-k3*T(2);
Tdot=[Gdot; Ddot; Mdot];
