% m-file growthmeans
% program to solve growth equations, calculate means
% and 95% confidence intervals
 
tspan=[0 600];
GEN = [];
%GEN = zeros(6, 100);
y1 = [];
tic
for n = 1:5;
   T0 = [0.02418 0.0 0.02418]';
   sol = ode45(@growth3,tspan,T0);
   x = linspace(0, 600,100);
   y1 = deval(sol,x,1);
   GEN = [GEN;y1];
end

sqroot=sqrt(5);
tn=2.776;
meangen = mean(GEN);
stdgen = std(GEN);
term1gen = (stdgen/sqroot)*tn;
uclgen = meangen+term1gen;
lclgen = meangen-term1gen;
plot(x,GEN)
xlabel('Days')
ylabel('Generative Body Mass, g')

figure
plot(x,uclgen,x,meangen,x,lclgen)
xlabel('Days')
ylabel('Generative Body Mass, g')
legend('UCl','Mean','LCL','Location','East')
toc